Loading...
Searching...
No Matches
MAGMA error codes
Utilities » Error handling

## Macros

#define | MAGMA_SUCCESS
| operation was successful
#define | MAGMA_ERR
| unspecified error
#define | MAGMA_ERR_NOT_INITIALIZED
| magma_init() was not called
#define | MAGMA_ERR_NOT_SUPPORTED
| not supported on this GPU
#define | MAGMA_ERR_NOT_FOUND
| file not found
#define | MAGMA_ERR_HOST_ALLOC
| could not malloc CPU host memory
#define | MAGMA_ERR_DEVICE_ALLOC
| could not malloc GPU device memory
#define | MAGMA_ERR_INVALID_PTR
| can't free invalid pointer
#define | MAGMA_ERR_UNKNOWN
| unspecified error
#define | MAGMA_ERR_NOT_IMPLEMENTED
| not implemented yet
#define | MAGMA_ERR_NAN
| NaN (not-a-number) detected.

## Detailed Description